// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

import Elementui from 'element-ui'
import store from './store/index.js';

import axios from 'axios'
Vue.prototype.$axios = axios    //全局注册，使用方法为:this.$axios

import VueAMap from 'vue-amap';

import VueAMap from 'vue-amap';

import {get, post, postJson} from './api/http'


Vue.config.productionTip = false

Vue.prototype.$get = get;
Vue.prototype.$post = post;
Vue.prototype.$postJson = postJson;

Vue.use(VueAMap);

Vue.use(Elementui)

VueAMap.initAMapApiLoader({
  key: '610161977d2e2632eb34aff3e88a079f',
  plugin: ['AMap.Scale','AMap.OverView','AMap.ToolBar','AMap.MapType','AMap.PlaceSearch','AMap.Geolocation','AMap.Geocoder'],
  v: '1.4.4',
  uiVersion: '1.0'
})

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
